Работа приложения на старых Android

OsMoDroid GPS-трекер » Вопросы и ответы » Работа приложения на старых Android

Важно знать, наше приложение расчитано на работу с Android 4.4 и новее, однако его можно использовать и на более старых версиях Android, хотя бы и рекомендуем обновить систему.

Приложение может не иметь возможности подключиться к серверу, так как есть проблемы с шифрованием. Старый Android просто не знает, о существовании сервиса шифрования, который мы используем. Поэтому он ему не доверяет и "блокирует" доступ до сервера приложению, это приводит к цикличной ошибке "Проверьте интернет-соединение".

Есть решение! Оно составлено с помощью отзывов и опыта пользователей

Для начала скачайте и распакуйте архив .zip с сертификатами по этой ссылке. Полученные файлы необходимо переместить на SD карту смартфона.

На смартфоне зайдите в Настройки\Безопасность\Надежныесертификаты, вкладка Пользователь. Импортируем все загруженные вами выше сертификаты.

Перед импортом может вынудить настроить PIN или пароль экрана блокировки"

После установки сертификатов, приложение должно штатно подключиться к серверу и начать корректно работать.

16.07.2018